package swingschooljdbc.gui;

import java.awt.BorderLayout;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JOptionPane;
import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;
import javax.swing.JTable;

public class SwingSchoolFrame extends JFrame {

    static void showError(String message) {
        JOptionPane.showMessageDialog(null, message, "Error", JOptionPane.ERROR_MESSAGE);
    }

    private JTable subjectsTable, studentsTable;
    private SubjectsTableModel subjectsTableModel;
    private StudentsTableModel studentsTableModel;

    public SwingSchoolFrame() {
        setTitle("School");
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setLocation(30, 30);
        setSize(600, 400);
        setJMenuBar(createJMenuBar());
        JTabbedPane jTabbedPane = new JTabbedPane();
        getContentPane().add(jTabbedPane, BorderLayout.CENTER);

        subjectsTableModel = new SubjectsTableModel();
        subjectsTable = new JTable(subjectsTableModel);
        jTabbedPane.addTab("Subjects", new JScrollPane(subjectsTable));
        
        studentsTableModel = new StudentsTableModel();
        studentsTable = new JTable(studentsTableModel);
        jTabbedPane.addTab("Students", new JScrollPane(studentsTable));
        
        jTabbedPane.setSelectedIndex(1);
    }

    private JMenuBar createJMenuBar() {
        JMenuBar jMenuBar = new JMenuBar();
        JMenu jMenu;
        
        jMenu = new JMenu("Subjects");
        jMenuBar.add(jMenu);
        //jMenu.add(addSubjectAction);
        //jMenu.add(deleteSubjectsAction);
        
        return jMenuBar;
    }
}
